Handles several tracking requests.
1 min
POST
/api/v1.0/TrackBulk
Header Parameters
- Epi-User-IP-AddressstringDescription
Body Parameters
- bodyTrackEventRequest[]Description
- userUserDataRequest
- namestringDescription
- emailstringDescription
- infomap<string, string>Description
- payloadobjectDescription
- remoteAddressstringDescription
- trackIdstringDescription
- deviceIdstringrequiredDescription
- eventTypestringDescription
- valuestringrequiredDescription
- scopestringDescription
- pageUristringDescription
- pageTitlestringDescription
- eventTimestring<date-time>DescriptionFormatdate-time
- sessionIdstringDescription
Responses
202
400
- ErrorResponse
- errorErrorDetail
- codestring
- messagestring
- targetstring
- detailsErrorDetail[]
- Circular-Reference
401
413
- ErrorResponse
- errorErrorDetail
- codestring
- messagestring
- targetstring
- detailsErrorDetail[]
- Circular-Reference
500
- ErrorResponse
- errorErrorDetail
- codestring
- messagestring
- targetstring
- detailsErrorDetail[]
- Circular-Reference
curl
curl --request POST \
--url /api/v1.0/TrackBulk \
--header 'accept: application/json' \
--header 'content-type: application/json-patch+json' \
--data '[
{
"deviceId": "",
"value": ""
}
]'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json-patch+json");
var raw = JSON.stringify([
{
"deviceId": "",
"value": ""
}
]);
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("/api/v1.0/TrackBulk", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("/api/v1.0/TrackBulk")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json-patch+json"
request.body = JSON.dump([
{
"deviceId": "",
"value": ""
}
])
response = http.request(request)
puts response.read_body
python
import requests
import json
url = "/api/v1.0/TrackBulk"
payload = json.dumps([
{
"deviceId": "",
"value": ""
}
])
headers = {
'accept': 'application/json',
'content-type': 'application/json-patch+json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
202
// Success
400
// Bad Request
{
"error": {
"code": "",
"message": "",
"target": "",
"details": [
{
"": ""
}
]
}
}401
// Unauthorized
413
// Client Error
{
"error": {
"code": "",
"message": "",
"target": "",
"details": [
{
"": ""
}
]
}
}500
// Server Error
{
"error": {
"code": "",
"message": "",
"target": "",
"details": [
{
"": ""
}
]
}
}